Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.capability
Interface Functions

    public interface Functions

Supported functions in a capabilities document.

      <xsd:complexType name="FunctionsType">
        <xsd:sequence>
           <xsd:element name="FunctionNames" type="ogc:FunctionNamesType"/>
        </xsd:sequence>
      </xsd:complexType>

Method Summary
`FunctionName` | `getFunctionName(String name)` Looks up a function by name, returning null if no such function is found.
`FunctionName[]` | `getFunctionNames()` Provided functions.

Method Detail

### getFunctionNames

    FunctionName[] getFunctionNames()

  Provided functions.

       <xsd:element name="FunctionNames" type="ogc:FunctionNamesType"/>

### getFunctionName

    FunctionName getFunctionName(String name)

  Looks up a function by name, returning null if no such function is found.

  Parameters:
    `name` - The name of the function.
  Returns:
    A function, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.